Package org.apache.catalina.storeconfig

# Class InterceptorSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.InterceptorSF

All Implemented Interfaces:
  `IStoreFactory`

public class InterceptorSF extends StoreFactoryBase
Generate Interceptor Element

## Field Summary

### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`sm`

## Constructor Summary

Constructors
Constructor
Description
`InterceptorSF()`

## Method Summary

Modifier and Type
Method
Description
`void`
`store(PrintWriter aWriter, int indent, Object aElement)`
Store a server.xml element with attributes and children
`void`
`storeChildren(PrintWriter aWriter, int indent, Object aInterceptor, StoreDescription parentDesc)`
Store the specified Interceptor child.

### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InterceptorSF

public InterceptorSF()

## Method Details

### store

public void store(PrintWriter aWriter, int indent, Object aElement) throws Exception
Description copied from class: `StoreFactoryBase`
Store a server.xml element with attributes and children

Specified by:
  `store` in interface `IStoreFactory`
Overrides:
  `store` in class `StoreFactoryBase`
Throws:
  `Exception`
See Also:
  - `IStoreFactory.store(java.io.PrintWriter, int, java.lang.Object)`

### storeChildren

public void storeChildren(PrintWriter aWriter, int indent, Object aInterceptor, StoreDescription parentDesc) throws Exception
Store the specified Interceptor child.

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - PrintWriter to which we are storing
  `indent` - Number of spaces to indent this element
  `aInterceptor` - Channel whose properties are being stored
  `parentDesc` - The element description
Throws:
  `Exception` - if an exception occurs while storing